=== debian/changelog ===
kitinerary (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:11 +0100

kitinerary (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:12 +0100

kitinerary (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:49 +0100

kitinerary (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:03:50 +0100

kitinerary (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:48 +0100

kitinerary (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:10:40 +0200

kitinerary (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:08:12 +0200

kitinerary (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:16 +0200

kitinerary (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:56:21 +0200

kitinerary (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:05 +0200

kitinerary (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:44 +0200

kitinerary (22.04.1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 21.12.3-3:
    - upstream_Adapt-calendar-test-reference-data-to-new-address-fo.patch:
      drop, backported from upstream
    - upstream_Use-the-new-KContacts-address-formatting-API-properl.patch:
      drop, backported from upstream
    - tests-refs.diff: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 23:44:59 +0200

kitinerary (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1) (Closes: #1011009).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 21:40:13 +0200

kitinerary (21.12.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Adapt a bit to the newer versions of KCalCore: (Closes: #1011009)
    - backport upstream commit e6af8c8b7f1dd2da520d92e89133781d68fe2654;
      patch upstream_Adapt-calendar-test-reference-data-to-new-address-fo.patch
    - backport upstream commit a8d390d43de7cd12b0af4e35605e5cf52bd317ed;
      patch upstream_Use-the-new-KContacts-address-formatting-API-properl.patch
    - manually fix one more output result; patch tests-refs.diff
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 23:11:12 +0200

kitinerary (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:09:17 +0200

kitinerary (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:17:40 +0100

kitinerary (21.08.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing build-dependency iso-codes to fix
    FTBFS. (Closes: #1002192)

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jan 2022 21:09:15 -0500

kitinerary (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:21:58 +0900

kitinerary (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:15:41 +0900

kitinerary (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:35:23 +0900

kitinerary (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:11:02 +0900

kitinerary (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.

