=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               iso-codes,
               libkf5calendarcore-dev (>= 5:5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkpimpkpass-dev (>= 22.12.3~),
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libssl-dev (>= 1.1~),
               libxml2-dev,
               libzxingcore-dev,
               pkg-config,
               qml-module-qtqml <!nocheck>,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtdeclarative5-private-dev (>= 5.15.2~),
               shared-mime-info (>= 1.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kitinerary
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitinerary
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitinerary.git
Rules-Requires-Root: no

Package: libkpimitinerary-bin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for Travel Reservation information - binaries
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the binaries like
  - kitinerary-extractor

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 5:5.91.0~),
         libkf5contacts-dev (>= 5:5.91.0~),
         libkf5i18n-dev (>= 5.91.0~),
         libkf5mime-dev (>= 22.12.3~),
         libkpimitinerary5 (= ${binary:Version}),
         libkpimpkpass-dev (>= 22.12.3~),
         qtbase5-dev (>= 5.15.2~),
         qtbase5-private-dev (>= 5.15.2~),
         qtdeclarative5-dev (>= 5.15.2~),
         qtdeclarative5-private-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
Provides: ${ABI:VirtualPackage},
