## kitinerary 23.04.1

=== debian/changelog ===
kitinerary (23.04.1-0xneon+22.04+jammy+release+build22) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 12:53:14 +0000

kitinerary (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:07:17 +0000
