=== debian/control ===
Source: kitinerary
Section: libs
Priority: optional
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5calendarcore-dev,
               libkf5contacts-dev,
               libkf5i18n-dev,
               libkf5mime-dev,
               libkpimpkpass-dev,
               libphonenumber-dev,
               libpoppler-private-dev,
               libpoppler-qt5-dev,
               libxml2-dev,
               libzxingcore-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kitinerary/
Vcs-Git: https://invent.kde.org/neon/kde/kitinerary.git
Vcs-Browser: https://invent.kde.org/neon/kde/kitinerary
Maintainer: Neon CI <neon@kde.org>

Package: libkpimitinerary-data
Architecture: all
Multi-Arch: foreign
Breaks: libkpimitinerary5 (<< 19.08.0)
Replaces: libkpimitinerary5 (<< 19.08.0)
Depends: ${misc:Depends}
Description: library for Travel Reservation information - arch independent data
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the arch independent data for KPimItinerary.

Package: libkpimitinerary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime-dev,
         libkpimitinerary5 (= ${binary:Version}),
         libkpimpkpass-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: library for Travel Reservation information - development files
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
 .
 This package contains the development files.

Package: libkpimitinerary5
Architecture: any
Multi-Arch: same
Depends: libkpimitinerary-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for Travel Reservation information
 This library provides an API for Data Model and Extraction System for
 Travel Reservation information.
