## kitinerary 23.04.2

=== debian/changelog ===
kitinerary (23.04.2-0xneon+22.04+jammy+release+build23) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 12:48:58 +0000

kitinerary (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:31:27 +0000
