## kitinerary 23.08.0

=== debian/changelog ===
kitinerary (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:55:23 +0100

kitinerary (23.07.90-0ubuntu3) mantic; urgency=medium

  * No-change rebuild against libpoppler130.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Aug 2023 11:10:35 +0100

kitinerary (23.07.90-0ubuntu2) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:19:32 -0400

kitinerary (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:35:07 +0100

kitinerary (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:48:45 +0100

kitinerary (23.04.2-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:58:40 +0300

kitinerary (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library libkpimitinerary5 -> libkpim5itinerary5
  * Update installed files
  * Add libphonenumber-dev to Build-Depends
  * Sync debian/rules with debian, provide virtual ABI package
  * Disable tests after debian/rules debian sync
  * Add --with kf5 to dh after debian/rules debian sync
  * Remove symbols file, no longer used
  * Update lintian overrides
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:59:30 +0100

kitinerary (22.12.3-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:09:50 +0300

kitinerary (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:39:16 +0000

kitinerary (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:18:42 -0600

kitinerary (22.12.1-0ubuntu3) lunar; urgency=medium

  * Build without libphonenumber.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Jan 2023 14:04:39 +0000

kitinerary (22.12.1-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:32:22 +0300

kitinerary (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:25:59 +0000

kitinerary (22.12.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:50:14 +0300

kitinerary (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:10:34 +0000

kitinerary (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:06:52 +0000

kitinerary (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:39:27 +0000

kitinerary (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:10:11 +0000
