=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libkf5calendarcore-dev (>= 5:5.87.0~),
                libkf5contacts-dev (>= 5:5.87.0~),
                libkf5i18n-dev (>= 5.87.0~),
-               libkf5mime-dev (>= 23.08.0~),
-               libkpimpkpass-dev (>= 23.08.0~),
+               libkf5mime-dev (>= 23.08.1~),
+               libkpimpkpass-dev (>= 23.08.1~),
                libphonenumber-dev,
                libpoppler-private-dev,
                libpoppler-qt5-dev,
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mime-dev (>= 23.08.0~),
+Depends: libkf5mime-dev (>= 23.08.1~),
          libkpim5itinerary5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
